<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-connect-node-card title="Domain name" [showClose]="true" routeOnBack="../name">
  <ng-template #pageIndicator> {{ authRequired ? '3/3' : '2/2' }} </ng-template>
  <div class="flex flex-col items-center">
    <div class="text-text-300 w-96">Please provide the name of the domain under which your Data Broker is accessible.</div>
    <div class="mt-10">
      <input type="text" [(ngModel)]="domain" pInputText placeholder="www.my-node-domain.org" style="width: 320px" />
    </div>
    <app-info class="mt-4" message="The domain can be changed by re-registering the Broker"></app-info>
    <div class="mt-5">
      <app-test-domain [domain]="domain"></app-test-domain>
    </div>
  </div>
  <div class="mt-10 pb-20 flex flex-col gap-1 items-center">
    <p-button [loading]="loading$ | async" label="Connect The Node" (click)="connect()" [style]="{ width: '200px' }"></p-button>
  </div>
</app-connect-node-card>
